<?php
include_once 'facebook.php';

$appapikey = 'f7bf727e44a2c2860a943656e5115572';
$appsecret = '4072821e3dd920d33924456a077161a2';
$facebook = new Facebook($appapikey, $appsecret);
$url = 'http://www.libraries.uc.edu/facebook/index.php';
//$facebook->api_client->profile_setFBML($fbml=null, $uid=null);

$user = $facebook->require_login();
$facebook->api_client->fbml_refreshRefUrl($url);
$fbml = '<fb:ref url=' . $url . ' />';
$facebook->api_client->profile_setFBML($fbml, $user);


//[todo: change the following url to your callback url]
$appcallbackurl = 'http://www.libraries.uc.edu/facebook/';  

//catch the exception that gets thrown if the cookie has an invalid session_key in it
//for php5 servers only, won't work in php4
/*
try {
  if (!$facebook->api_client->users_isAppAdded()) {
    $facebook->redirect($facebook->get_add_url());
  }
} catch (Exception $ex) {
  //this will clear cookies for your application and redirect them to a login prompt
  $facebook->set_user(null, null);
  $facebook->redirect($appcallbackurl);
}
*/

// weak php 4 substitute for try catch code above

    if (!$facebook->api_client->users_isAppAdded()) {
    	if (!$facebook->redirect($facebook->get_add_url())) {
			
		  //this will clear cookies for your application and redirect them to a login prompt
		  $facebook->set_user(null, null);
		  $facebook->redirect($appcallbackurl);    
    	} 
	}






?>

